
_main:

;dddd.c,28 :: 		void main( void)
;dddd.c,31 :: 		ADCON1 |= 0x0f;        // disable analog inputs
	MOVLW       15
	IORWF       ADCON1+0, 1 
;dddd.c,33 :: 		error = Soft_UART_Init(&PORTA, 4, 3, 9600, 0); // Initialize Soft UART at 14400 bps   rx tx
	MOVLW       PORTA+0
	MOVWF       FARG_Soft_UART_Init_port+0 
	MOVLW       hi_addr(PORTA+0)
	MOVWF       FARG_Soft_UART_Init_port+1 
	MOVLW       4
	MOVWF       FARG_Soft_UART_Init_rx_pin+0 
	MOVLW       3
	MOVWF       FARG_Soft_UART_Init_tx_pin+0 
	MOVLW       128
	MOVWF       FARG_Soft_UART_Init_baud_rate+0 
	MOVLW       37
	MOVWF       FARG_Soft_UART_Init_baud_rate+1 
	MOVLW       0
	MOVWF       FARG_Soft_UART_Init_baud_rate+2 
	MOVWF       FARG_Soft_UART_Init_baud_rate+3 
	CLRF        FARG_Soft_UART_Init_inverted+0 
	CALL        _Soft_UART_Init+0, 0
	MOVF        R0, 0 
	MOVWF       _error+0 
;dddd.c,34 :: 		TRISB.B2 = 1 ;      //RB0 interrupt pin as input
	BSF         TRISB+0, 2 
;dddd.c,35 :: 		T0CON = 11001000;
	MOVLW       168
	MOVWF       T0CON+0 
;dddd.c,36 :: 		INTCON2 |= 10010000;            //interrupt on rising edge
	MOVLW       144
	IORWF       INTCON2+0, 1 
;dddd.c,37 :: 		Delay_ms(2000);
	MOVLW       102
	MOVWF       R11, 0
	MOVLW       118
	MOVWF       R12, 0
	MOVLW       193
	MOVWF       R13, 0
L_main0:
	DECFSZ      R13, 1, 1
	BRA         L_main0
	DECFSZ      R12, 1, 1
	BRA         L_main0
	DECFSZ      R11, 1, 1
	BRA         L_main0
;dddd.c,38 :: 		Comm_Write("Serial OK");
	MOVLW       ?lstr1_dddd+0
	MOVWF       FARG_Comm_Write_s+0 
	MOVLW       hi_addr(?lstr1_dddd+0)
	MOVWF       FARG_Comm_Write_s+1 
	CALL        _Comm_Write+0, 0
;dddd.c,40 :: 		do
L_main1:
;dddd.c,42 :: 		cntr = 0 ;              // clear counters
	CLRF        _cntr+0 
	CLRF        _cntr+1 
	CLRF        _cntr+2 
	CLRF        _cntr+3 
;dddd.c,43 :: 		ovrflw = 0 ;        // T0IF, INTF and GIE enabled
	CLRF        _ovrflw+0 
	CLRF        _ovrflw+1 
;dddd.c,44 :: 		INTCON = 10100000 ;           // T0IF, INTF and GIE enabled
	MOVLW       32
	MOVWF       INTCON+0 
;dddd.c,46 :: 		while(ovrflw < 39063) ;         // wait 1 second : 39062.5 = 40 000 000 / 4 / 256, rounded up
L_main4:
	MOVLW       152
	SUBWF       _ovrflw+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main19
	MOVLW       151
	SUBWF       _ovrflw+0, 0 
L__main19:
	BTFSC       STATUS+0, 0 
	GOTO        L_main5
	GOTO        L_main4
L_main5:
;dddd.c,47 :: 		INTCON.GIE = 0 ;                // stop all interrupts
	BCF         INTCON+0, 7 
;dddd.c,48 :: 		Long2Str() ;
	CALL        _Long2str+0, 0
;dddd.c,49 :: 		Comm_Write(str) ;               // write string
	MOVLW       _str+0
	MOVWF       FARG_Comm_Write_s+0 
	MOVLW       hi_addr(_str+0)
	MOVWF       FARG_Comm_Write_s+1 
	CALL        _Comm_Write+0, 0
;dddd.c,50 :: 		} while( 1);
	GOTO        L_main1
;dddd.c,51 :: 		}
L_end_main:
	GOTO        $+0
; end of _main

_interrupt:

;dddd.c,53 :: 		void  interrupt(void)
;dddd.c,55 :: 		if(INTCON3.INT2IF)
	BTFSS       INTCON3+0, 1 
	GOTO        L_interrupt6
;dddd.c,57 :: 		cntr++ ;                // inc. transition counter
	MOVLW       1
	ADDWF       _cntr+0, 1 
	MOVLW       0
	ADDWFC      _cntr+1, 1 
	ADDWFC      _cntr+2, 1 
	ADDWFC      _cntr+3, 1 
;dddd.c,58 :: 		INTCON3.INT2IF = 0 ;       // clear interrupt flag to enable next call
	BCF         INTCON3+0, 1 
;dddd.c,59 :: 		}
	GOTO        L_interrupt7
L_interrupt6:
;dddd.c,60 :: 		else if(INTCON.TMR0IF)
	BTFSS       INTCON+0, 2 
	GOTO        L_interrupt8
;dddd.c,62 :: 		ovrflw++ ;              // inc. overflow counter
	INFSNZ      _ovrflw+0, 1 
	INCF        _ovrflw+1, 1 
;dddd.c,63 :: 		INTCON.TMR0IF = 0 ;       // clear interrupt flag to enable next call on overflow
	BCF         INTCON+0, 2 
;dddd.c,64 :: 		}
L_interrupt8:
L_interrupt7:
;dddd.c,65 :: 		}
L_end_interrupt:
L__interrupt21:
	RETFIE      1
; end of _interrupt

_Long2str:

;dddd.c,67 :: 		void  Long2str(void)
;dddd.c,70 :: 		if(cntr == 0)
	MOVLW       0
	MOVWF       R0 
	XORWF       _cntr+3, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Long2str23
	MOVF        R0, 0 
	XORWF       _cntr+2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Long2str23
	MOVF        R0, 0 
	XORWF       _cntr+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Long2str23
	MOVF        _cntr+0, 0 
	XORLW       0
L__Long2str23:
	BTFSS       STATUS+0, 2 
	GOTO        L_Long2str9
;dddd.c,72 :: 		str[0] = '0' ;
	MOVLW       48
	MOVWF       _str+0 
;dddd.c,73 :: 		str[1] = 0 ;
	CLRF        _str+1 
;dddd.c,74 :: 		}
	GOTO        L_Long2str10
L_Long2str9:
;dddd.c,77 :: 		str[0] = 0 ;
	CLRF        _str+0 
;dddd.c,78 :: 		i = 0 ;
	CLRF        Long2str_i_L0+0 
;dddd.c,79 :: 		while(cntr > 0)
L_Long2str11:
	MOVF        _cntr+3, 0 
	SUBLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__Long2str24
	MOVF        _cntr+2, 0 
	SUBLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__Long2str24
	MOVF        _cntr+1, 0 
	SUBLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__Long2str24
	MOVF        _cntr+0, 0 
	SUBLW       0
L__Long2str24:
	BTFSC       STATUS+0, 0 
	GOTO        L_Long2str12
;dddd.c,81 :: 		for(j = i + 1 ; j > 0 ; j--)
	MOVF        Long2str_i_L0+0, 0 
	ADDLW       1
	MOVWF       Long2str_j_L0+0 
L_Long2str13:
	MOVF        Long2str_j_L0+0, 0 
	SUBLW       0
	BTFSC       STATUS+0, 0 
	GOTO        L_Long2str14
;dddd.c,83 :: 		str[j] = str[j - 1] ;
	MOVLW       _str+0
	MOVWF       FSR1L 
	MOVLW       hi_addr(_str+0)
	MOVWF       FSR1H 
	MOVF        Long2str_j_L0+0, 0 
	ADDWF       FSR1L, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR1H, 1 
	DECF        Long2str_j_L0+0, 0 
	MOVWF       R0 
	CLRF        R1 
	MOVLW       0
	SUBWFB      R1, 1 
	MOVLW       _str+0
	ADDWF       R0, 0 
	MOVWF       FSR0L 
	MOVLW       hi_addr(_str+0)
	ADDWFC      R1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
;dddd.c,81 :: 		for(j = i + 1 ; j > 0 ; j--)
	DECF        Long2str_j_L0+0, 1 
;dddd.c,84 :: 		}
	GOTO        L_Long2str13
L_Long2str14:
;dddd.c,85 :: 		str[0] = cntr % 10 ;
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVWF       R6 
	MOVWF       R7 
	MOVF        _cntr+0, 0 
	MOVWF       R0 
	MOVF        _cntr+1, 0 
	MOVWF       R1 
	MOVF        _cntr+2, 0 
	MOVWF       R2 
	MOVF        _cntr+3, 0 
	MOVWF       R3 
	CALL        _Div_32x32_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVF        R10, 0 
	MOVWF       R2 
	MOVF        R11, 0 
	MOVWF       R3 
	MOVF        R0, 0 
	MOVWF       _str+0 
;dddd.c,86 :: 		str[0] += '0' ;
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       _str+0 
;dddd.c,87 :: 		i++ ;
	INCF        Long2str_i_L0+0, 1 
;dddd.c,88 :: 		cntr /= 10 ;
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVWF       R6 
	MOVWF       R7 
	MOVF        _cntr+0, 0 
	MOVWF       R0 
	MOVF        _cntr+1, 0 
	MOVWF       R1 
	MOVF        _cntr+2, 0 
	MOVWF       R2 
	MOVF        _cntr+3, 0 
	MOVWF       R3 
	CALL        _Div_32x32_U+0, 0
	MOVF        R0, 0 
	MOVWF       _cntr+0 
	MOVF        R1, 0 
	MOVWF       _cntr+1 
	MOVF        R2, 0 
	MOVWF       _cntr+2 
	MOVF        R3, 0 
	MOVWF       _cntr+3 
;dddd.c,89 :: 		}
	GOTO        L_Long2str11
L_Long2str12:
;dddd.c,90 :: 		}
L_Long2str10:
;dddd.c,91 :: 		}
L_end_Long2str:
	RETURN      0
; end of _Long2str

_Comm_Write:

;dddd.c,93 :: 		void  Comm_Write(unsigned char *s)
;dddd.c,95 :: 		while(*s)
L_Comm_Write16:
	MOVFF       FARG_Comm_Write_s+0, FSR0L
	MOVFF       FARG_Comm_Write_s+1, FSR0H
	MOVF        POSTINC0+0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_Comm_Write17
;dddd.c,97 :: 		Soft_Uart_Write(*s) ;
	MOVFF       FARG_Comm_Write_s+0, FSR0L
	MOVFF       FARG_Comm_Write_s+1, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_Soft_UART_Write_udata+0 
	CALL        _Soft_UART_Write+0, 0
;dddd.c,98 :: 		s++ ;
	INFSNZ      FARG_Comm_Write_s+0, 1 
	INCF        FARG_Comm_Write_s+1, 1 
;dddd.c,99 :: 		}
	GOTO        L_Comm_Write16
L_Comm_Write17:
;dddd.c,100 :: 		}
L_end_Comm_Write:
	RETURN      0
; end of _Comm_Write
